Security update for gstreamer

SUSE Security Update: Security update for gstreamer
Announcement ID: SUSE-SU-2017:0967-1
Rating: low
References: #1024051
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 12-SP1
  • SUSE Linux Enterprise Server 12-SP1
  • SUSE Linux Enterprise Desktop 12-SP1

  • An update that fixes one vulnerability is now available.

    Description:


    This update for gstreamer fixes the following security issues:

    - A crafted AVI file could have caused an invalid memory read, possibly
    causing DoS or corruption (bsc#1024051, CVE-2017-5838)

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Software Development Kit 12-SP1:
      zypper in -t patch SUSE-SLE-SDK-12-SP1-2017-562=1
    • SUSE Linux Enterprise Server 12-SP1:
      zypper in -t patch SUSE-SLE-SERVER-12-SP1-2017-562=1
    • SUSE Linux Enterprise Desktop 12-SP1:
      zypper in -t patch SUSE-SLE-DESKTOP-12-SP1-2017-562=1

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Software Development Kit 12-SP1 (ppc64le s390x x86_64):
      • gstreamer-debuginfo-1.2.4-2.3.3
      • gstreamer-debugsource-1.2.4-2.3.3
      • gstreamer-devel-1.2.4-2.3.3
    • SUSE Linux Enterprise Server 12-SP1 (ppc64le s390x x86_64):
      • gstreamer-1.2.4-2.3.3
      • gstreamer-debuginfo-1.2.4-2.3.3
      • gstreamer-debugsource-1.2.4-2.3.3
      • gstreamer-utils-1.2.4-2.3.3
      • gstreamer-utils-debuginfo-1.2.4-2.3.3
      • libgstreamer-1_0-0-1.2.4-2.3.3
      • libgstreamer-1_0-0-debuginfo-1.2.4-2.3.3
      • typelib-1_0-Gst-1_0-1.2.4-2.3.3
    • SUSE Linux Enterprise Server 12-SP1 (s390x x86_64):
      • gstreamer-debuginfo-32bit-1.2.4-2.3.3
      • libgstreamer-1_0-0-32bit-1.2.4-2.3.3
      • libgstreamer-1_0-0-debuginfo-32bit-1.2.4-2.3.3
    • SUSE Linux Enterprise Server 12-SP1 (noarch):
      • gstreamer-lang-1.2.4-2.3.3
    • SUSE Linux Enterprise Desktop 12-SP1 (x86_64):
      • gstreamer-1.2.4-2.3.3
      • gstreamer-debuginfo-1.2.4-2.3.3
      • gstreamer-debuginfo-32bit-1.2.4-2.3.3
      • gstreamer-debugsource-1.2.4-2.3.3
      • gstreamer-utils-1.2.4-2.3.3
      • gstreamer-utils-debuginfo-1.2.4-2.3.3
      • libgstreamer-1_0-0-1.2.4-2.3.3
      • libgstreamer-1_0-0-32bit-1.2.4-2.3.3
      • libgstreamer-1_0-0-debuginfo-1.2.4-2.3.3
      • libgstreamer-1_0-0-debuginfo-32bit-1.2.4-2.3.3
      • typelib-1_0-Gst-1_0-1.2.4-2.3.3
    • SUSE Linux Enterprise Desktop 12-SP1 (noarch):
      • gstreamer-lang-1.2.4-2.3.3

    References: